Subject: bug#65684: closed (Re: bug#65684: kaidan package is broken and does not start)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Sep 2023 17:29:02 +0000

Your bug report

#65684: kaidan package is broken and does not start

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65684: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65684
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65684: kaidan package is broken and does not start
From: Efraim Flashner <[email-masked]>
To: bdju <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Sep 2023 20:27:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Sep 01, 2023 at 02:00:11PM -0500, bdju via Bug reports for GNU Guix wrote:
> I am running Guix System and using Sway (Wayland).
> When trying to launch Kaidan from a shell I get the following errors:
> 13:58:25.845|qt.qpa.plugin|W|Could not find the Qt platform plugin "wayland" in ""
> 13:58:26.210|default|D|QT_QUICK_CONTROLS_STYLE not set, setting to "org.kde.desktop"
> 13:58:26.704|default|W|QQmlApplicationEngine failed to load component
> 13:58:26.704|default|W|qrc:/qml/main.qml:90:29: Type RosterPage unavailable
> 13:58:26.704|default|W|qrc:/qml/RosterPage.qml:50:2: Type RosterAddContactSheet unavailable
> 13:58:26.704|default|W|qrc:/qml/elements/RosterAddContactSheet.qml:84:3: Type Controls.TextArea unavailable
> 13:58:26.704|default|W|file:///gnu/store/y7lkx97ylj0aidzsp06b0455kr300b1i-qqc2-desktop-style-5.108.0/lib/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TextArea.qml:15:1: module "org.kde.sonnet" is not installed
> 
> Based on discussion in IRC it sounds like some inputs are missing,
> sonnet and kdeclarative
> Other users were able to reproduce this issue on their machine.
> 
> Discussion: https://logs.guix.gnu.org/guix/2023-09-01.log#203513

Fixed in c535374ef4f6c81db94003c626d2464b9c13a867

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: kaidan package is broken and does not start
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Fri, 01 Sep 2023 14:00:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running Guix System and using Sway (Wayland).
When trying to launch Kaidan from a shell I get the following errors:
13:58:25.845|qt.qpa.plugin|W|Could not find the Qt platform plugin "wayland" in ""
13:58:26.210|default|D|QT_QUICK_CONTROLS_STYLE not set, setting to "org.kde.desktop"
13:58:26.704|default|W|QQmlApplicationEngine failed to load component
13:58:26.704|default|W|qrc:/qml/main.qml:90:29: Type RosterPage unavailable
13:58:26.704|default|W|qrc:/qml/RosterPage.qml:50:2: Type RosterAddContactSheet unavailable
13:58:26.704|default|W|qrc:/qml/elements/RosterAddContactSheet.qml:84:3: Type Controls.TextArea unavailable
13:58:26.704|default|W|file:///gnu/store/y7lkx97ylj0aidzsp06b0455kr300b1i-qqc2-desktop-style-5.108.0/lib/qt5/qml/QtQuick/Controls.2/org.kde.desktop/TextArea.qml:15:1: module "org.kde.sonnet" is not installed

Based on discussion in IRC it sounds like some inputs are missing,
sonnet and kdeclarative
Other users were able to reproduce this issue on their machine.

Discussion: https://logs.guix.gnu.org/guix/2023-09-01.log#203513